/* $NetBSD$ */

#ifndef _MACHINE_PEGASOSREG_H_
#define _MACHINE_PEGASOSREG_H_

#define PEGASOS2_MARVELL_REGBASE	0xf1000000
#define PEGASOS2_MARVELL_REGSIZE	0x4000
#define PEGASOS2_SRAM_BASE		0xf2000000
#define PEGASOS2_SRAM_SIZE		0x40000

#define PEGASOS2_PCI0_ADDR		(PEGASOS2_MARVELL_REGBASE | 0xc78)
#define PEGASOS2_PCI0_DATA		(PEGASOS2_MARVELL_REGBASE | 0xc7c)

#define PEGASOS2_PCI1_ADDR		(PEGASOS2_MARVELL_REGBASE | 0xcf8)
#define PEGASOS2_PCI1_DATA		(PEGASOS2_MARVELL_REGBASE | 0xcfc)
#define PEGASOS2_AGP_MAGIC		(PEGASOS2_MARVELL_REGBASE | 0xf118)

#define PEGASOS2_AGP_MAGIC_COOKIE	0x00800000

#endif /*_MACHINE_PEGASOSREG_H_*/
